/*----------------------------------------------------------------
            VLIB.H Generated by PARAGen version 2.20          
------------------------------------------------------------------
  PROJECT         : VIDLIB DEMO PROGRAM
  AUTHOR          : Innovative Data Solutions, Inc.
  DATE            : 03/14/1991
  TIME            : 01:49PM
  CODING STYLE    : 2  - [Standard C]
  TAB EXPANSION   : ON
  TABLE           : VLIB.DB - [Fields: 15, Key Fields: 2]
  DATABASE FIELDS          PARADOX                   PARAGEN
                           -------                   -------
                    (01) - Category                  Category                  
                    (02) - Title                     Title                     
                    (03) - Rating                    Rating                    
                    (04) - Director                  Director                  
                    (05) - Stars                     Stars                     
                    (06) - Cast                      Cast                      
                    (07) - Company                   Company                   
                    (08) - Date                      Date                      
                    (09) - Price                     Price                     
                    (10) - Tape                      Tape                      
                    (11) - RunTime                   RunTime                   
                    (12) - Format                    Format                    
                    (13) - Start                     Start                     
                    (14) - Stop                      Stop                      
                    (15) - RunSpeed                  RunSpeed                  
  GENERATED BY    : Innovative Data Solutions, Inc. Paradox Code Generator
                    4318 Stewart Court
                    East Chicago, IN 46312
                    (219)-397-8952
-----------------------------------------------------------------*/

#if   !defined(__VLIB_H)       /* Avoid dupliacte modules */
#define __VLIB_H

/*----------------------------------------------------------------
                     Copy and Rename Defines                      
-----------------------------------------------------------------*/

#define SOURCE        0
#define DESTINATION   1

/*----------------------------------------------------------------
                         Get and put Defines                      
-----------------------------------------------------------------*/

#define GET   0
#define PUT   1

/*----------------------------------------------------------------
                        Field Size Defines                        
-----------------------------------------------------------------*/

#define FSZCATEGORY                     10        /* KEY FIELD */
#define FSZTITLE                        40        /* KEY FIELD */
#define FSZRATING                       5         
#define FSZDIRECTOR                     15        
#define FSZSTARS                        55        
#define FSZCAST                         30        
#define FSZCOMPANY                      15        
#define FSZFORMAT                       8         
#define FSZRUNSPEED                     10        

/*----------------------------------------------------------------
                           Include Files                          
-----------------------------------------------------------------*/

#include "pxengine.h"

/*----------------------------------------------------------------
                       'C' Access Structure                       
-----------------------------------------------------------------*/

typedef struct vlibentry
	{
	char Category[FSZCATEGORY+1];                     /* KEY FIELD */
	char Title[FSZTITLE+1];                           /* KEY FIELD */
	char Rating[FSZRATING+1];                         
	char Director[FSZDIRECTOR+1];                     
	char Stars[FSZSTARS+1];                           
	char Cast[FSZCAST+1];                             
	char Company[FSZCOMPANY+1];                       
	int DateMonth;                                    
	int DateDay;                                      
	int DateYear;                                     
	double Price;                                     
	short Tape;                                       
	double RunTime;                                   
	char Format[FSZFORMAT+1];                         
	short Start;                                      
	short Stop;                                       
	char RunSpeed[FSZRUNSPEED+1];                     
	} VLIBTABLEENTRY;

/*----------------------------------------------------------------
               Engine Handles and Global Variables                
-----------------------------------------------------------------*/

#ifdef GLOBAL
	TABLEHANDLE VLIBTable;
	RECORDHANDLE VLIBRecord;
	FIELDHANDLE VLIBCategory;                              /* KEY FIELD */
	FIELDHANDLE VLIBTitle;                                 /* KEY FIELD */
	FIELDHANDLE VLIBRating;                                
	FIELDHANDLE VLIBDirector;                              
	FIELDHANDLE VLIBStars;                                 
	FIELDHANDLE VLIBCast;                                  
	FIELDHANDLE VLIBCompany;                               
	FIELDHANDLE VLIBDate;                                  
	FIELDHANDLE VLIBPrice;                                 
	FIELDHANDLE VLIBTape;                                  
	FIELDHANDLE VLIBRunTime;                               
	FIELDHANDLE VLIBFormat;                                
	FIELDHANDLE VLIBStart;                                 
	FIELDHANDLE VLIBStop;                                  
	FIELDHANDLE VLIBRunSpeed;                              
	int VLIBRet;
	char* VLIBName = "VLIB";
#else
	extern TABLEHANDLE VLIBTable;
	extern RECORDHANDLE VLIBRecord;
	extern FIELDHANDLE VLIBCategory;                      /* KEY FIELD */
	extern FIELDHANDLE VLIBTitle;                         /* KEY FIELD */
	extern FIELDHANDLE VLIBRating;                        
	extern FIELDHANDLE VLIBDirector;                      
	extern FIELDHANDLE VLIBStars;                         
	extern FIELDHANDLE VLIBCast;                          
	extern FIELDHANDLE VLIBCompany;                       
	extern FIELDHANDLE VLIBDate;                          
	extern FIELDHANDLE VLIBPrice;                         
	extern FIELDHANDLE VLIBTape;                          
	extern FIELDHANDLE VLIBRunTime;                       
	extern FIELDHANDLE VLIBFormat;                        
	extern FIELDHANDLE VLIBStart;                         
	extern FIELDHANDLE VLIBStop;                          
	extern FIELDHANDLE VLIBRunSpeed;                      
	extern int VLIBRet;
	extern char* VLIBName;
#endif

/*----------------------------------------------------------------
                       Function Prototypes                        
-----------------------------------------------------------------*/

int cdecl VLIBError(int ErrCode);
int cdecl VLIBTblOpen(char *Password);
int cdecl VLIBTblClose(void);
int cdecl VLIBTblCreate(int TableSize);
int cdecl VLIBTblEmpty(void);
int cdecl VLIBTblDelete(void);
int cdecl VLIBTblCopy(char *FileName,int SrcOrDest);
int cdecl VLIBTblRename(char *DestTable);
int cdecl VLIBTblAdd(char *FileName,int SrcOrDest);
int cdecl VLIBTblEncrypt(char *Password);
int cdecl VLIBTblDecrypt(char *Password);
int cdecl VLIBTblExist(int *Exists);
int cdecl VLIBTblProtected(int *IsProtected);
int cdecl VLIBTblNRecs(RECORDNUMBER *NumRecords);
int cdecl VLIBRecNum(RECORDNUMBER *NumRecords);
int cdecl VLIBSrchKey(int SearchMode,int NumKeysToSearch,VLIBTABLEENTRY *RecordVal);
int cdecl VLIBSrchFld(int SearchMode,char *FieldToSearch,VLIBTABLEENTRY *RecordVal);
int cdecl VLIBRecFirst(VLIBTABLEENTRY *RecordVal);
int cdecl VLIBRecNext(VLIBTABLEENTRY *RecordVal);
int cdecl VLIBRecPrev(VLIBTABLEENTRY *RecordVal);
int cdecl VLIBRecLast(VLIBTABLEENTRY *RecordVal);
int cdecl VLIBRecAppend(VLIBTABLEENTRY *RecordVal);
int cdecl VLIBRecInsert(VLIBTABLEENTRY *RecordVal);
int cdecl VLIBRecDelete(void);
int cdecl VLIBRecUpdate(VLIBTABLEENTRY *RecordVal);
int cdecl VLIBRecGoto(RECORDNUMBER RecordNumber);
int cdecl VLIBRecGet(VLIBTABLEENTRY *RecordVal);
int cdecl VLIBFldType(FIELDHANDLE fldHandle,char *FldType);
int cdecl VLIBFldBlank(FIELDHANDLE fldHandle,int *IsBlank);
int cdecl VLIBRecNFlds(int *NumFields);
int cdecl VLIBKeyNFlds(int *NumKeyFields);
int cdecl VLIBNetRecLocked(int *IsLocked);
int cdecl VLIBNetTblChanged(int *IsChanged);
int cdecl VLIBNetTblRefresh(void);
int cdecl VLIBNetTblUnlock(int LockType);
int cdecl VLIBNetTblLock(int LockType);
int cdecl VLIBNetRecUnlock(LOCKHANDLE LckHandle);
int cdecl VLIBNetRecLock(LOCKHANDLE *LckHandle);
int cdecl VLIBNetRecGotoLock(LOCKHANDLE LckHandle);
int cdecl VLIBNetFileUnlock(int LockType);
int cdecl VLIBNetFileLock(int LockType);
int cdecl VLIBPopulateRecord(VLIBTABLEENTRY *RecordVal,int GetOrPut);
#endif             /* End of duplicate modue */
